Web lists-archives.com

Re: Openssl-1.1.0i patch for stretch-backports




On Mon, Sep 3, 2018 at 3:24 AM, jose R Rodriguez <jose.r.r@xxxxxxxxxxx> wrote:
> Niltze, all-
>
> I had a need to create an more recent version of OpenSSL than the
> default in Stretch and/or stretch-backports --which dates back to 2007;
er... 2017, (1.1.0f-3+deb9u2 < https://packages.debian.org/stretch/openssl >)

https://github.com/Metztli/debian-openssl-1.1.0i

> thus, I downloaded debian packaging for buster:
>
> wget http://http.debian.net/debian/pool/main/o/openssl/openssl_1.1.0h-4
> .debian.tar.xz
>
> and OpenSSL 1.1.0i:
> wget https://www.openssl.org/source/openssl-1.1.0i.tar.gz
>
> Applied attached patch.
>
> (You may want to modify debian/changelog ;-)
>
> Procedure generates:
>
> libssl1.1_1.1.0i-1_amd64.deb
> libssl-dev_1.1.0i-1_amd64.deb
> openssl_1.1.0i-1_amd64.deb
> libssl1.1-dbgsym_1.1.0i-1_amd64.deb
> libssl-doc_1.1.0i-1_all.deb
> openssl-dbgsym_1.1.0i-1_amd64.deb
> libcrypto1.1-udeb_1.1.0i-1_amd64.udeb
> libssl1.1-udeb_1.1.0i-1_amd64.udeb
>
>
> Best Professional Regards.
>
> --
>

-- 
Jose R R
http://metztli.it
---------------------------------------------------------------------------------------------
Download Metztli Reiser4: Debian Stretch w/ Linux 4.17 AMD64
---------------------------------------------------------------------------------------------
feats ZSTD compression https://sf.net/projects/metztli-reiser4/
-------------------------------------------------------------------------------------------
Official current Reiser4 resources: https://reiser4.wiki.kernel.org/